iParticleBuiltinEffectorForce Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iParticleBuiltinEffectorForce Struct Reference
Mesh plugins

Simple force/acceleration applied to particles. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticleBuiltinEffectorForce:

List of all members.

## Public Member Functions
virtual const csVector3 & | GetAcceleration () const =0
| Get constant acceleration vector.
virtual const csVector3 & | GetForce () const =0
| Get the force vector.
virtual const csVector3 & | GetRandomAcceleration () const =0
| Get random acceleration magnitude.
virtual void | SetAcceleration (const csVector3 &acceleration)=0
| Set constant acceleration vector.
virtual void | SetForce (const csVector3 &force)=0
| Set the force vector.
virtual void | SetRandomAcceleration (const csVector3 &magnitude)=0
| Set random acceleration magnitude.

## Detailed Description

Simple force/acceleration applied to particles.

The new velocity of particles is computed by a simple formula

v' = v + (a+f/m)*dt

v - old velocity (vector) v' - new velocity (vector) a - constant acceleration (vector) f - force (vector) m - particle mass (scalar)

Definition at line 707 of file particles.h.

## Member Function Documentation

virtual const csVector3& iParticleBuiltinEffectorForce::GetAcceleration | ( |  | ) | const`[pure virtual]`

Get constant acceleration vector.

virtual const csVector3& iParticleBuiltinEffectorForce::GetForce | ( |  | ) | const`[pure virtual]`

Get the force vector.

virtual const csVector3& iParticleBuiltinEffectorForce::GetRandomAcceleration | ( |  | ) | const`[pure virtual]`

Get random acceleration magnitude.

virtual void iParticleBuiltinEffectorForce::SetAcceleration | ( | const csVector3 & | acceleration | ) | `[pure virtual]`

Set constant acceleration vector.

virtual void iParticleBuiltinEffectorForce::SetForce | ( | const csVector3 & | force | ) | `[pure virtual]`

Set the force vector.

virtual void iParticleBuiltinEffectorForce::SetRandomAcceleration | ( | const csVector3 & | magnitude | ) | `[pure virtual]`

Set random acceleration magnitude.

The documentation for this struct was generated from the following file:

- imesh/particles.h